Transaction History


List all transactions history for a month. You can specified start date and also end date for range transaction history.


{
  "from_date": "2016-08-11",
  "to_date": "2016-08-12"
}
[
    {
        "reference_no": "cvg4C6AsF3BMbHyYTP",
        "beneficiary_name": "BCA Simulator A",
        "beneficiary_account": "0011223344",
        "account": "PT. BANK CENTRAL ASIA TBK.",
        "type": "Payout fee",
        "amount": "300.0",
        "status": "debit",
        "created_at": "2023-02-08T11:12:14Z"
    },
    {
        "reference_no": "XMjrpSuWSIGMKC8hSy",
        "beneficiary_name": "Permata Simulator A",
        "beneficiary_account": "4111111111",
        "account": "PT. BANK PERMATA TBK.",
        "type": "Refund",
        "amount": "10000.0",
        "status": "credit",
        "created_at": "2023-02-03T08:38:45Z"
    },
    {
        "reference_no": "rXPxb2hOetT6yDLivf",
        "beneficiary_name": "CIMB Simulator A",
        "beneficiary_account": "222233334444",
        "account": "PT. BANK CIMB NIAGA TBK.",
        "type": "Payout",
        "amount": "10000.0",
        "status": "debit",
        "created_at": "2023-02-03T08:38:45Z"
    },
    {
        "reference_no": "f686c5788d344e61a50b47c2497433d2",
        "beneficiary_account": "9999999",
        "account": "PT. BANK CENTRAL ASIA TBK.",
        "type": "Account validation fee",
        "amount": "3000.0",
        "status": "debit",
        "created_at": "2023-02-03T08:21:46Z"
    },
    {
        "account": "Bri virtual account number",
        "type": "Topup",
        "amount": "100000000.0",
        "status": "credit",
        "created_at": "2023-03-08T03:55:50Z"
    },
    {
        "account": "Created by admin : teest",
        "type": "Manual",
        "amount": "100000000000.0",
        "status": "credit",
        "created_at": "2023-03-08T03:55:01Z"
    },
    {
        "account": "Permata virtual account number",
        "type": "Topup reversal",
        "amount": "25000000.0",
        "status": "debit",
        "created_at": "2023-03-08T02:10:50Z"
    }
]



HTTP Request


GET BASE_URL/api/v1/statements




Request Parameters


Please check Restrictions and Query Params Logic for more.


ParameterDescription
from_datestart date range for payouts (YYYY-MM-DD)
to_dateend date range for payouts (YYYY-MM-DD)

Response Parameters


ParameterDescription
reference_noUnique reference_no of a payout (only if payout is present)
beneficiary_nameName of the Beneficiary (only if payout is present)
beneficiary_accountAccount number of the Beneficiary (only if payout is present)
typeTransaction Type. Possible values:
Topup: topup to merchant balance
Payout fee: fee that paid by merchant for using iris payout
Account validation fee: fee that paid by merchant for using iris account validation
Payout: payout created by merchant, include all payout that is approved because merchant balance already deducted
Refund: refund to merchant balance because of payout that failed
Manual: manual adjustment by admin to balance of a merchant
Topup reversal: reverse a balance topup when topup process failed
accountName of beneficiary bank/channel used
amount

Amount for a transaction

For failed payouts, the payout fee and refund fee might be shown as 0. This happens when the deduction attempt is not successfully executed in the first place

statusCurrent status of the Transaction (credit/debit)
created_atTransaction creation date in ISO8601 format



FromToDate Restrictions


  1. Maximum one month size of data can be downloaded.
  2. Data that can be downloaded is up to 6 months old from the current date.
  3. from_date and to_date has to be in ISO8601 date format (YYYY-MM-DD)
  4. from_date is set to beginning of day (00:00:00) and to_date is set to end of day (23:59:59).



Logic for query params(from_date/to_date)


  1. When no params passed, provides payouts of last 10 days
    • to_date (Today)
    • from_date (Today - 10)
  2. When from_date is not passed, provides payouts of previous 10 days from to_date
    • to_date (to_date)
    • from_date (to_date - 10)
  3. When to_date is not passed, provides payouts of 10 days from from_date
    • to_date (from_date + 10)
    • from_date (from_date)
  4. When from_date is more than 6 months ago, we will reset from_date and provide data since 6 months ago
    • from_date (the date 6 months ago from current date)
  5. When both the params are present but does not obey the before mentioned restriction
    • to_date (to_date)
    • from_date (to_date - 31)